Bug 1282601 - [abrt] [wayland] gnome-shell: meta_wayland_surface_drag_dest_drop(): gnome-shell killed by SIGSEGV when dragging terminal tab off screen
[abrt] [wayland] gnome-shell: meta_wayland_surface_drag_dest_drop(): gnome-sh...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ad1abfe8bc65cc79efcf514116b...
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-16 16:00 EST by Bill Nottingham
Modified: 2016-08-31 19:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 19:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.63 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: core_backtrace (4.18 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: dso_list (24.57 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: environ (1.00 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: maps (145.68 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: mountinfo (3.74 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: open_fds (6.51 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details
File: var_log_messages (1.07 KB, text/plain)
2015-11-16 16:00 EST, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2015-11-16 16:00:36 EST
Description of problem:
1. Open terminal.
2. Create second tab
3. Detach/drag tab off bottom of the screen
4. Oops there goes the display server.

Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_wayland_surface_drag_dest_drop
executable:     /usr/bin/gnome-shell
global_pid:     9418
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            2166

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_wayland_surface_drag_dest_drop at wayland/meta-wayland-surface.c:2387
 #1 drag_grab_button at wayland/meta-wayland-data-device.c:378
 #2 meta_wayland_pointer_handle_event at wayland/meta-wayland-pointer.c:485
 #4 meta_wayland_seat_handle_event at wayland/meta-wayland-seat.c:337
 #5 meta_wayland_compositor_handle_event at wayland/meta-wayland.c:207
 #6 event_callback at core/events.c:333
 #8 _clutter_event_process_filters at clutter-event.c:1802
 #9 _clutter_process_event at clutter-main.c:2022
 #12 _clutter_stage_process_queued_events at clutter-stage.c:1031
 #13 clutter_clock_dispatch at clutter-master-clock-default.c:364
Comment 1 Bill Nottingham 2015-11-16 16:00:40 EST
Created attachment 1095076 [details]
File: backtrace
Comment 2 Bill Nottingham 2015-11-16 16:00:41 EST
Created attachment 1095077 [details]
File: cgroup
Comment 3 Bill Nottingham 2015-11-16 16:00:42 EST
Created attachment 1095078 [details]
File: core_backtrace
Comment 4 Bill Nottingham 2015-11-16 16:00:43 EST
Created attachment 1095079 [details]
File: dso_list
Comment 5 Bill Nottingham 2015-11-16 16:00:44 EST
Created attachment 1095080 [details]
File: environ
Comment 6 Bill Nottingham 2015-11-16 16:00:45 EST
Created attachment 1095081 [details]
File: exploitable
Comment 7 Bill Nottingham 2015-11-16 16:00:46 EST
Created attachment 1095082 [details]
File: limits
Comment 8 Bill Nottingham 2015-11-16 16:00:47 EST
Created attachment 1095083 [details]
File: maps
Comment 9 Bill Nottingham 2015-11-16 16:00:48 EST
Created attachment 1095084 [details]
File: mountinfo
Comment 10 Bill Nottingham 2015-11-16 16:00:49 EST
Created attachment 1095085 [details]
File: namespaces
Comment 11 Bill Nottingham 2015-11-16 16:00:50 EST
Created attachment 1095086 [details]
File: open_fds
Comment 12 Bill Nottingham 2015-11-16 16:00:51 EST
Created attachment 1095087 [details]
File: proc_pid_status
Comment 13 Bill Nottingham 2015-11-16 16:00:52 EST
Created attachment 1095088 [details]
File: var_log_messages
Comment 14 mchalupa 2016-03-17 07:12:25 EDT
Hit this bug on fresh 23 installation when dragged a tab from gedit to the background
Comment 15 mchalupa 2016-03-17 07:27:24 EDT
the crash is in mutter, moving to mutter. Seems similar to https://bugzilla.gnome.org/show_bug.cgi?id=752766
Comment 16 Matthias Clasen 2016-08-31 19:17:04 EDT
the upstream bug has been closed as no-longer-reproducible.

Note You need to log in before you can comment on or make changes to this bug.